/*************************************************************************

	File Name	: About.java

	Function	: Show some information about this applet

	Input		:

		CFD smain	  : CFD main class

**************************************************************************/

import java.awt.*;
import java.util.*;
import java.lang.*;
import java.awt.event.*;
import java.applet.Applet;

public class About extends Panel {

	CFD smain;

       /*****************************************************************
	*
	*	method	 : maketitle()
	*	Input    : String name,
	*		   GridBagLayout gridbag,
	*		   GridBagConstraints c
	*	Output   : none
	*	Function : make a title of this class
	*
	*****************************************************************/
	protected void maketitle(
				String name,
				GridBagLayout gridbag,
				GridBagConstraints c) {
		Label label = new Label(name);
		// Font for Panel Title
		label.setFont(new Font("Dialog", Font.BOLD, 10));
		gridbag.setConstraints(label, c);
		add(label);
	}

       /*****************************************************************
	*
	*	method	 : makelabel()
	*	Input    : String name,
	*		   GridBagLayout gridbag,
	*		   GridBagConstraints c
	*	Output   : none
	*	Function : make a label
	*
	*****************************************************************/
	protected void makelabel(
				String name,
				GridBagLayout gridbag,
				GridBagConstraints c) {
		Label label = new Label(name);
		// Font for label
		label.setFont(new Font("Dialog", Font.PLAIN, 10));
		gridbag.setConstraints(label, c);
		add(label);
	}

       /*****************************************************************
	*
	*	method	 : About()
	*
	*	Function : constructor of this class
	*
	*****************************************************************/
	About(CFD smain) {

		this.smain = smain;

		GridBagLayout gridbag = new GridBagLayout();
		GridBagConstraints c = new GridBagConstraints();
		setLayout(gridbag);

		// Font for Panel Main
		setFont(new Font("Dialog", Font.PLAIN, 10));

		c.fill = GridBagConstraints.CENTER;

		c.gridwidth = 1;                //reset to the default
		c.weightx = 1.0;
		c.gridwidth = GridBagConstraints.REMAINDER; //end row

		makelabel("Computational Fluid Dynamics", gridbag, c);

		c.gridwidth = 1;                //reset to the default
		c.weightx = 1.0;
		c.gridwidth = GridBagConstraints.REMAINDER; //end row

		makelabel("Northeast Parallel Architectures Center", gridbag, c);
	}
}

	